Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.dom.svg
Class SVGOMAnimatedMarkerOrientValue.AnimSVGAngle

    java.lang.Object
      org.apache.batik.dom.svg.SVGOMAngle
          org.apache.batik.dom.svg.SVGOMAnimatedMarkerOrientValue.AnimSVGAngle

All Implemented Interfaces:
  org.w3c.dom.svg.SVGAngle

Enclosing class:
  SVGOMAnimatedMarkerOrientValue

    protected class SVGOMAnimatedMarkerOrientValue.AnimSVGAngle

extends SVGOMAngle

This class represents the SVGAngle returned by `SVGOMAnimatedMarkerOrientValue.AnimatedAngle.getAnimVal()`.

Field Summary

Fields inherited from class org.apache.batik.dom.svg.SVGOMAngle
`K, UNITS, unitType, value`

Fields inherited from interface org.w3c.dom.svg.SVGAngle
`SVG_ANGLETYPE_DEG, SVG_ANGLETYPE_GRAD, SVG_ANGLETYPE_RAD, SVG_ANGLETYPE_UNKNOWN, SVG_ANGLETYPE_UNSPECIFIED`

Constructor Summary
`protected` | `SVGOMAnimatedMarkerOrientValue.AnimSVGAngle()`

Method Summary
`void` | `convertToSpecifiedUnits(short unit)` DOM: Implements `SVGAngle.convertToSpecifiedUnits(short)`.
`short` | `getUnitType()` DOM: Implements `SVGAngle.getUnitType()`.
`float` | `getValue()` DOM: Implements `SVGAngle.getValue()`.
`String` | `getValueAsString()` DOM: Implements `SVGAngle.getValueAsString()`.
`float` | `getValueInSpecifiedUnits()` DOM: Implements `SVGAngle.getValueInSpecifiedUnits()`.
`void` | `newValueSpecifiedUnits(short unit, float value)` DOM: Implements `SVGAngle.newValueSpecifiedUnits(short,float)`.
`protected void` | `setAnimatedValue(int type, float val)` Sets the animated value.
`void` | `setValue(float value)` DOM: Implements `SVGAngle.setValue(float)`.
`void` | `setValueAsString(String value)` DOM: Implements `SVGAngle.setValueAsString(String)`.
`void` | `setValueInSpecifiedUnits(float value)` DOM: Implements `SVGAngle.setValueInSpecifiedUnits(float)`.

Methods inherited from class org.apache.batik.dom.svg.SVGOMAngle
`parse, reset, revalidate, toUnit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SVGOMAnimatedMarkerOrientValue.AnimSVGAngle

    protected SVGOMAnimatedMarkerOrientValue.AnimSVGAngle()

Method Detail

### getUnitType

    public short getUnitType()

  DOM: Implements `SVGAngle.getUnitType()`.

  Specified by:
    `getUnitType` in interface `org.w3c.dom.svg.SVGAngle`
  Overrides:
    `getUnitType` in class `SVGOMAngle`

### getValue

    public float getValue()

  DOM: Implements `SVGAngle.getValue()`.

  Specified by:
    `getValue` in interface `org.w3c.dom.svg.SVGAngle`
  Overrides:
    `getValue` in class `SVGOMAngle`

### getValueInSpecifiedUnits

    public float getValueInSpecifiedUnits()

  DOM: Implements `SVGAngle.getValueInSpecifiedUnits()`.

  Specified by:
    `getValueInSpecifiedUnits` in interface `org.w3c.dom.svg.SVGAngle`
  Overrides:
    `getValueInSpecifiedUnits` in class `SVGOMAngle`

### getValueAsString

    public String getValueAsString()

  DOM: Implements `SVGAngle.getValueAsString()`.

  Specified by:
    `getValueAsString` in interface `org.w3c.dom.svg.SVGAngle`
  Overrides:
    `getValueAsString` in class `SVGOMAngle`

### setValue

    public void setValue(float value)
                  throws DOMException

  DOM: Implements `SVGAngle.setValue(float)`.

  Specified by:
    `setValue` in interface `org.w3c.dom.svg.SVGAngle`
  Overrides:
    `setValue` in class `SVGOMAngle`
  Throws:
    `DOMException`

### setValueInSpecifiedUnits

    public void setValueInSpecifiedUnits(float value)
                                  throws DOMException

  DOM: Implements `SVGAngle.setValueInSpecifiedUnits(float)`.

  Specified by:
    `setValueInSpecifiedUnits` in interface `org.w3c.dom.svg.SVGAngle`
  Overrides:
    `setValueInSpecifiedUnits` in class `SVGOMAngle`
  Throws:
    `DOMException`

### setValueAsString

    public void setValueAsString(String value)
                          throws DOMException

  DOM: Implements `SVGAngle.setValueAsString(String)`.

  Specified by:
    `setValueAsString` in interface `org.w3c.dom.svg.SVGAngle`
  Overrides:
    `setValueAsString` in class `SVGOMAngle`
  Throws:
    `DOMException`

### newValueSpecifiedUnits

    public void newValueSpecifiedUnits(short unit,
                                       float value)

  DOM: Implements `SVGAngle.newValueSpecifiedUnits(short,float)`.

  Specified by:
    `newValueSpecifiedUnits` in interface `org.w3c.dom.svg.SVGAngle`
  Overrides:
    `newValueSpecifiedUnits` in class `SVGOMAngle`

### convertToSpecifiedUnits

    public void convertToSpecifiedUnits(short unit)

  DOM: Implements `SVGAngle.convertToSpecifiedUnits(short)`.

  Specified by:
    `convertToSpecifiedUnits` in interface `org.w3c.dom.svg.SVGAngle`
  Overrides:
    `convertToSpecifiedUnits` in class `SVGOMAngle`

### setAnimatedValue

    protected void setAnimatedValue(int type,
                                    float val)

  Sets the animated value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.